{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"You can search for articles by making a GET request to `https://api.intercom.io/articles/search`.\n\nIf no articles match the search, `data` is an empty array rather than an object.\n\nRequires the `read_articles_scope` OAuth scope.\n","properties":{"headers":{"type":"object","properties":{"Intercom-Version":{"$ref":"#/definitions/intercom_version","enum":["2.17"]}},"required":[],"additionalProperties":false},"query":{"type":"object","properties":{"phrase":{"type":"string","maxLength":500,"examples":["Getting started"],"description":"The phrase within your articles to search for. Maximum length is 500 characters."},"state":{"type":"string","enum":["published","draft","all"],"default":"published","examples":["published"],"description":"The state of the Articles returned. One of `published`, `draft` or `all`. Defaults to `published`."},"help_center_id":{"type":"integer","examples":[123],"description":"The ID of the Help Center to search in."},"highlight":{"type":"boolean","examples":[false],"description":"Return a highlighted version of the matching content within your articles. Refer to the response schema for more details."},"page":{"type":"integer","examples":[1],"description":"The page of results to fetch. Defaults to the first page."},"per_page":{"type":"integer","examples":[10],"description":"The number of results to return per page. Defaults to 10."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false,"definitions":{"intercom_version":{"description":"Intercom API version.</br>If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.","type":"string","enum":["1.0","1.1","1.2","1.3","1.4","2.0","2.1","2.2","2.3","2.4","2.5","2.6","2.7","2.8","2.9","2.10","2.11","2.12","2.13","2.14","2.15","2.16","2.17"],"examples":["2.17"]}}},"name":"Search for articles","id":"intercom.searcharticles","example":{},"maxRequests":1,"summary":false}}